/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef INPUTDIALOG_H
#define INPUTDIALOG_H

#include <gtkmm/button.h>
#include <gtkmm/buttonbox.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>
#include <gtkmm/box.h>
#include <gtkmm/dialog.h>
#include <gtkmm/main.h>
#include <glib.h>

// Input dialog class
class InputDialog : public Gtk::Dialog
{
public:
  InputDialog (Glib::ustring, Glib::ustring);
  ~InputDialog();

  Glib::ustring get_entry_text();

private:
  Gtk::Button *cancel, *ok;
  Gtk::Label *label;
  Gtk::Entry *entry;
  Gtk::HBox *hbox;
  Gtk::Dialog *dialog;
};

#endif
